# LineStyleGeometryModifier_BackboneStretcher(LineStyleGeometryModifier)

base classes — `bpy_struct`, `LineStyleModifier`, `LineStyleGeometryModifier`

class `bpy.types.``LineStyleGeometryModifier_BackboneStretcher`(LineStyleGeometryModifier)

  Stretch the beginning and the end of stroke backbone

  `backbone_length`

    Amount of backbone stretching

    Type: | float in [-inf, inf], default 0.0

  `expanded`

    True if the modifier tab is expanded

    Type: | boolean, default False

  `name`

    Name of the modifier

    Type: | string, default “”, (never None)

  `type`

    Type of the modifier

    Type: | enum in [‘2D_OFFSET’, ‘2D_TRANSFORM’, ‘BACKBONE_STRETCHER’, ‘BEZIER_CURVE’, ‘BLUEPRINT’, ‘GUIDING_LINES’, ‘PERLIN_NOISE_1D’, ‘PERLIN_NOISE_2D’, ‘POLYGONIZATION’, ‘SAMPLING’, ‘SIMPLIFICATION’, ‘SINUS_DISPLACEMENT’, ‘SPATIAL_NOISE’, ‘TIP_REMOVER’], default ‘2D_OFFSET’, (readonly)

  `use`

    Enable or disable this modifier during stroke rendering

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`